
Redmine - Patch #8257

Proposal for supporting project-specific wildcard addresses in default mail handler

2011-04-30 13:20 - Marcus Ilgner

Status: Closed Start date: 2011-04-30

Priority: Normal Due date:  

Assignee: johann sebatian % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

While I saw that there's a python script to support project-specific email address extensions, I propose a simple change to the default

Ruby mailhandler script. The python script exited with some error message I couldn't quite follow and anyway chaining two scripts

seemed to be somewhat inefficient to me.

I just hacked this the quick and dirty way, so the regex is a bit rough around the edges, but it should do the job. At least it's working

great on my setup.

123c123,124

<     

---

>     m = email.match(/To: .*<.*-(.*)@/)

>     issue_attributes['project'] = m[1] unless m.nil?

 This will automatically assign any mail to redmine-[yourproject] to the project [yourproject].

I thought about extending it even further so that one can write mails to redmine-yourproject-feature to have it assign the ticket to the

'feature' tracker.

Related issues:

Related to Redmine - Patch #20732: MailHandler: Select project by subaddress ... Closed

History

#1 - 2011-04-30 13:40 - Marcus Ilgner

Ok, improved regex with support for specifing tracker as well as project (as long as one doesn't use dashes in the project name, I suppose...)

123a124,127

>     m = email.match(/^To: [^-]+-([^-]+)(?:-([\w]+))?@/)

>     issue_attributes['project'] = m[1] unless m.nil?

>     issue_attributes['tracker'] = m[2] unless m.nil? || m[2].nil?

> 

#2 - 2011-05-03 20:03 - johann sebatian

- Assignee changed from Marcus Ilgner to johann sebatian

#3 - 2018-09-15 09:14 - Go MAEDA

- Status changed from New to Closed

You can select a project by subaddress since Redmine 3.2. It means that you can use email addresses like this:

foo+projectid@redmine.example.com. See #20732 and RedmineReceivingEmails for details.

#4 - 2018-09-15 09:14 - Go MAEDA

- Related to Patch #20732: MailHandler: Select project by subaddress (redmine+project@example.com) added
https://www.redmine.org/issues/20732
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails#Target-Project-from-Email-Sub-Address
http://www.tcpdf.org

